Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4717 closed enhancement (fixed)

Add RSB Deployment support

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.2
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Provide deployment support for RTEMS 5.

The support will be a single architecture with multiple BSPs for that architecture.

This change does not effect any existing functionality.

Change History (3)

comment:1 Changed on 09/19/22 at 21:25:04 by Chris Johns <chrisj@…>

In [changeset:"16d4f2c934b49482d4a4f570ecea2d025eeef00d/rtems-source-builder" 16d4f2c/rtems-source-builder]:

rtems/kernel: Support deployment standard buildset configs

  • Check and optionally support arch/bsp format 'with_rtems_bsp' defines

Updates #4717

comment:2 Changed on 09/30/22 at 20:19:04 by Chris Johns <chrisj@…>

In [changeset:"369b60a0b4ed961eba8da634d09691841e67e3de/rtems-source-builder" 369b60a/rtems-source-builder]:

rtems/bsps: Optionally support arch/bsp if used

Updates #4717

comment:3 Changed on 11/09/22 at 23:33:09 by Chris Johns

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.